Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
VOL_ivector Class Reference

vector of ints. More...

`#include <OsiTestSolver.hpp>`

## Public Member Functions
| VOL_ivector (const int s)
| Construct a vector of size s. More...
| VOL_ivector ()
| Default constructor creates a vector of size 0. More...
| VOL_ivector (const VOL_ivector &x)
| Copy constructor makes a replica of x. More...
| ~VOL_ivector ()
| The destructor deletes the data array. More...
int | size () const
| Return the size of the vector. More...
int & | operator[] (const int i)
| Return a reference to the `i`-th entry. More...
int | operator[] (const int i) const
| Return the `i`-th entry. More...
void | clear ()
| Delete the content of the vector and replace it with a vector of length 0. More...
void | allocate (const int s)
| delete the current vector and allocate space for a vector of size `s`. More...
void | swap (VOL_ivector &w)
| swaps the vector with `w`. More...
VOL_ivector & | operator= (const VOL_ivector &v)
| Copy `w` into the vector. More...
VOL_ivector & | operator= (const int w)
| Replace every entry in the vector with `w`. More...

## Public Attributes
int * | v
| The array holding the vector. More...
int | sz
| The size of the vector. More...

## Detailed Description

vector of ints.

It's used to store indices, it has similar functions as VOL_dvector.

Note: If `VOL_DEBUG` is `#defined` to be 1 then each time an entry is accessed in the vector the index of the entry is tested for nonnegativity and for being less than the size of the vector. It's good to turn this on while debugging, but in final runs it should be turned off (beause of the performance hit).

Definition at line 244 of file OsiTestSolver.hpp.

## Constructor & Destructor Documentation

VOL_ivector::VOL_ivector | ( | const int | s | ) |
| inline

Construct a vector of size s.

The content of the vector is undefined.

Definition at line 252 of file OsiTestSolver.hpp.

VOL_ivector::VOL_ivector | ( |  | ) |
| inline

Default constructor creates a vector of size 0.

Definition at line 257 of file OsiTestSolver.hpp.

VOL_ivector::VOL_ivector | ( | const VOL_ivector & | x | ) |
| inline

Copy constructor makes a replica of x.

Definition at line 259 of file OsiTestSolver.hpp.

VOL_ivector::~VOL_ivector | ( |  | ) |
| inline

The destructor deletes the data array.

Definition at line 267 of file OsiTestSolver.hpp.

## Member Function Documentation

int VOL_ivector::size | ( |  | ) | const
| inline

Return the size of the vector.

Definition at line 272 of file OsiTestSolver.hpp.

int& VOL_ivector::operator[] | ( | const int | i | ) |
| inline

Return a reference to the `i`-th entry.

Definition at line 274 of file OsiTestSolver.hpp.

int VOL_ivector::operator[] | ( | const int | i | ) | const
| inline

Return the `i`-th entry.

Definition at line 280 of file OsiTestSolver.hpp.

void VOL_ivector::clear | ( |  | ) |
| inline

Delete the content of the vector and replace it with a vector of length 0.

Definition at line 287 of file OsiTestSolver.hpp.

void VOL_ivector::allocate | ( | const int | s | ) |
| inline

delete the current vector and allocate space for a vector of size `s`.

Definition at line 295 of file OsiTestSolver.hpp.

void VOL_ivector::swap | ( | VOL_ivector & | w | ) |
| inline

swaps the vector with `w`.

Definition at line 302 of file OsiTestSolver.hpp.

VOL_ivector& VOL_ivector::operator= | ( | const VOL_ivector & | v | ) |

Copy `w` into the vector.

VOL_ivector& VOL_ivector::operator= | ( | const int | w | ) |

Replace every entry in the vector with `w`.

## Member Data Documentation

int* VOL_ivector::v

The array holding the vector.

Definition at line 247 of file OsiTestSolver.hpp.

int VOL_ivector::sz

The size of the vector.

Definition at line 249 of file OsiTestSolver.hpp.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/test/OsiTestSolver.hpp